## golang-github-avast-retry-go 1.0.2

=== Makefile ===
SOURCE_FILES?=$$(go list ./... | grep -v /vendor/)
TEST_PATTERN?=.
TEST_OPTIONS?=
DEP?=$$(which dep)
VERSION?=$$(cat VERSION)

ifeq ($(OS),Windows_NT)
	DEP_VERS=dep-windows-amd64
else
	DEP_VERS=dep-linux-amd64
endif

setup: ## Install all the build and lint dependencies
	# fix of gopkg.in issue (https://github.com/niemeyer/gopkg/issues/50)
	git config --global http.https://gopkg.in.followRedirects true
	go get -u gopkg.in/alecthomas/gometalinter.v1
	go get -u github.com/pierrre/gotestcover
	go get -u golang.org/x/tools/cmd/cover
	go get -u github.com/robertkrimen/godocdown/godocdown
	gometalinter.v1 --install
	@if [ "$(DEP)" = "" ]; then\
		curl -L https://github.com/golang/dep/releases/download/v0.3.1/$(DEP_VERS) >| $$GOPATH/bin/dep;\
		chmod +x $$GOPATH/bin/dep;\
	fi
	dep ensure

generate: ## Generate README.md
	godocdown >| README.md

test: generate ## Run all the tests
	gotestcover $(TEST_OPTIONS) -covermode=atomic -coverprofile=coverage.txt $(SOURCE_FILES) -run $(TEST_PATTERN) -timeout=2m

cover: test ## Run all the tests and opens the coverage report
	go tool cover -html=coverage.txt

fmt: ## gofmt and goimports all go files
	find . -name '*.go' -not -wholename './vendor/*' | while read -r file; do gofmt -w -s "$$file"; goimports -w "$$file"; done

lint: ## Run all the linters
	gometalinter.v1 --vendor --disable-all \
		--enable=deadcode \
		--enable=ineffassign \
		--enable=gosimple \
		--enable=staticcheck \
		--enable=gofmt \
		--enable=goimports \
		--enable=dupl \
		--enable=misspell \
		--enable=errcheck \
		--enable=vet \
		--deadline=10m \
		./...

ci: test lint  ## Run all the tests and code checks

build:
	go build

release: ## Release new version
	git tag | grep -q $(VERSION) && echo This version was released! Increase VERSION! || git tag $(VERSION) && git push origin $(VERSION)

# Absolutely awesome: http://marmelab.com/blog/2016/02/29/auto-documented-makefile.html
help:
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

.DEFAULT_GOAL := build

=== debian/changelog ===
golang-github-avast-retry-go (1.0.2-1) unstable; urgency=medium

  * Initial release. (Closes: #904923)

 -- Jongmin Kim <jmkim@pukyong.ac.kr>  Sun, 29 Jul 2018 21:14:43 +0800

=== debian/control ===
Source: golang-github-avast-retry-go
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Jongmin Kim <jmkim@pukyong.ac.kr>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-stretchr-testify-dev
Standards-Version: 4.1.4
Homepage: https://github.com/avast/retry-go
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-avast-retry-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-avast-retry-go.git
XS-Go-Import-Path: github.com/avast/retry-go
Testsuite: autopkgtest-pkg-go

Package: golang-github-avast-retry-go-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-stretchr-testify-dev
Description: retry mechanism library for Go
 Simple Go library for retry mechanism.
 .
 It supports setting the count of retry, delay time, function callback
 for calling each retry and condition for calling to retry function.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-avast-retry-go-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/avast/retry-go/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-avast-retry-go 2.4.3

=== debian/changelog ===
golang-github-avast-retry-go (2.4.3-1) unstable; urgency=medium

  * New upstream release
  * Install examples
  * DH to version 12
  * Standards-Version: 4.4.1
  * Added myself to Uploaders

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 24 Dec 2019 12:55:32 +1100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Jongmin Kim <jmkim@pukyong.ac.kr>
-Build-Depends: debhelper (>= 11),
+Uploaders: Jongmin Kim <jmkim@pukyong.ac.kr>, Dmitry Smirnov <onlyjob@debian.org>,
+Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any,
                golang-github-stretchr-testify-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.4.1
 Homepage: https://github.com/avast/retry-go
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-avast-retry-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-avast-retry-go.git

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := examples/*

%:
	dh $@ --buildsystem=golang --with=golang

## golang-github-avast-retry-go 4.6.0

=== Makefile ===
SOURCE_FILES?=$$(go list ./... | grep -v /vendor/)
TEST_PATTERN?=.
TEST_OPTIONS?=
VERSION?=$$(cat VERSION)
LINTER?=$$(which golangci-lint)
LINTER_VERSION=1.50.0

ifeq ($(OS),Windows_NT)
	LINTER_FILE=golangci-lint-$(LINTER_VERSION)-windows-amd64.zip
	LINTER_UNPACK= >| app.zip; unzip -j app.zip -d $$GOPATH/bin; rm app.zip
else ifeq ($(OS), Darwin)
	LINTER_FILE=golangci-lint-$(LINTER_VERSION)-darwin-amd64.tar.gz
	LINTER_UNPACK= | tar xzf - -C $$GOPATH/bin --wildcards --strip 1 "**/golangci-lint"
else
	LINTER_FILE=golangci-lint-$(LINTER_VERSION)-linux-amd64.tar.gz
	LINTER_UNPACK= | tar xzf - -C $$GOPATH/bin --wildcards --strip 1 "**/golangci-lint"
endif

setup:
	go install github.com/pierrre/gotestcover@latest
	go install golang.org/x/tools/cmd/cover@latest
	go install github.com/robertkrimen/godocdown/godocdown@latest
	go mod download

generate: ## Generate README.md
	godocdown >| README.md

test: generate test_and_cover_report lint

test_and_cover_report:
	gotestcover $(TEST_OPTIONS) -covermode=atomic -coverprofile=coverage.txt $(SOURCE_FILES) -run $(TEST_PATTERN) -timeout=2m

cover: test ## Run all the tests and opens the coverage report
	go tool cover -html=coverage.txt

fmt: ## gofmt and goimports all go files
	find . -name '*.go' -not -wholename './vendor/*' | while read -r file; do gofmt -w -s "$$file"; goimports -w "$$file"; done

lint: ## Run all the linters
	@if [ "$(LINTER)" = "" ]; then\
		curl -L https://github.com/golangci/golangci-lint/releases/download/v$(LINTER_VERSION)/$(LINTER_FILE) $(LINTER_UNPACK) ;\
		chmod +x $$GOPATH/bin/golangci-lint;\
	fi

	golangci-lint run

ci: test_and_cover_report ## Run all the tests but no linters - use https://golangci.com integration instead

build:
	go build

release: ## Release new version
	git tag | grep -q $(VERSION) && echo This version was released! Increase VERSION! || git tag $(VERSION) && git push origin $(VERSION) && git tag v$(VERSION) && git push origin v$(VERSION)

# Absolutely awesome: http://marmelab.com/blog/2016/02/29/auto-documented-makefile.html
help:
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

.DEFAULT_GOAL := build

=== debian/changelog ===
golang-github-avast-retry-go (4.6.0-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.
  * Apply multi-arch hints.
    + golang-github-avast-retry-go-dev: Add Multi-Arch: foreign.

  [ Nicolas Schier ]
  * New upstream version 4.6.0
  * Bump standards version to 4.7.0 (no changes required)

 -- Nicolas Schier <nicolas@fjasle.eu>  Thu, 02 May 2024 10:45:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Jongmin Kim <jmkim@pukyong.ac.kr>, Dmitry Smirnov <onlyjob@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-stretchr-testify-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/avast/retry-go
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-avast-retry-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-avast-retry-go.git
@@ -18,6 +18,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          golang-github-stretchr-testify-dev
+Multi-Arch: foreign
 Description: retry mechanism library for Go
  Simple Go library for retry mechanism.
  .
